GetExchangeById
POST
Query an exchange pair by its exchange ID.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
idintegerrequired
Unique ID of the exchange pair. Example: 1visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
exchange_idinteger
Unique ID of the exchange pair.creator_addressstring
Address of the account that created the exchange.create_timeinteger
Timestamp when the exchange was created. (Unit: millisecond)first_token_idstring
ID of the first token. TRX is represented as _.first_token_balanceinteger
Balance of the first token held by the exchange.second_token_idstring
ID of the second token. TRX is represented as _.second_token_balanceinteger
Balance of the second token held by the exchange.cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getexchangebyid' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"id": 1}'